Subject: Re: Failed: Installing Postgresql under Cygwin on win98se
From: Tom Lauren <[email-masked]>
To: [email-masked]
Date: Thu, 07 Mar 2002 06:03:46 +0100
Newsgroups: gmane.os.cygwin

Thanks for replying!

>Is /usr/bin in your current path?

yes, everything´s fine....

>Did you select the sh-utils/grep/sed/et
>al. packages when you installed cygwin?

also yes. this in fact was my first idea, but sed itself seems to work...

>...it looks like it needs postgres.exe in the same directory as
>the script or in /usr/bin.
>Regards,
>Shelby Cain

So now I´ll describe it more precisely:
I´ve tested around all night ;) and found out, that *no* script works
correctly whereas its command-line pendant does.

For example:
CMDNAME=`basename $0`     -->says : not found. But, as  c.-l. it works.?! It
can´t do the command in `´?

Or:
stty -echo > /dev/null 2>&1      -->doesn´t recognize at all

Then - and i´m not quite shure what it SHOULD do - the following structure
doesn´t work:

cat "$POSTGRES_BKI" \ | sed -e "s/POSTGRES/$POSTGRES_SUPERUSERNAME/g" \  -e
"s/ENCODING/$MULTIBYTEID/g" \| "$PGPATH"/postgres -boot -x1 $PGSQL_OPT
$BACKEND_TALK_ARG template1 \

-> $POSTGRES_BKI, $POSTGRES_SUPERUSERNAME and $MULTIBYTEID ARE defined

Can´t it do pipes on win98? Or chains? It even can´t write into a file with
cat??? "cat from > here" made my OS crash ...
So I modified the script, removed all checks, hard-coded the options, but this
long statement seems to be important...

I don´t know anymore if it´d be the best idea to let it be....yet there are
reasons not to install W2K or NT, but they should defintely work?
Hm, I´m seriously wondering if *anybody* did manage it to run under W98...

Thanks anyway, i´ll try it another few hours, and then... :D

Tom

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/